package com.example.survey.controller;

import com.example.survey.dto.LoginDto;
import com.example.survey.service.UserService;
import com.example.survey.vo.LoginVo;
import com.example.survey.vo.ResultVo;
import com.example.survey.vo.SignupVo;
import com.example.survey.vo.UserRoleVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author Pope
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    UserService userService;

    @PostMapping("/login")
    public ResultVo login(@RequestBody LoginVo loginVo) {
        ResultVo resultVo = new ResultVo();
        //用户名密码验证
        LoginDto loginDto = userService.matchAuth(loginVo);
        if (loginDto == null) {
            //登录失败
            resultVo.setCode(ResultVo.FAILED);
            resultVo.setMsg("登录失败");
            return resultVo;
        }
        resultVo.setCode(ResultVo.SUCCESS);
        resultVo.setMsg("登录成功");
        resultVo.setData(loginDto);
        return resultVo;
    }

    @PostMapping("/signup")
    public ResultVo signup(@RequestBody SignupVo signupVo) {
        ResultVo resultVo = new ResultVo();

        resultVo.setCode(ResultVo.SUCCESS);
        boolean result = userService.addUser(signupVo);
        if (result) {
            resultVo.setCode(ResultVo.SUCCESS);
            resultVo.setMsg("注册成功");
        } else {
            resultVo.setCode(ResultVo.FAILED);
            resultVo.setMsg("注册失败");
        }
        return resultVo;
    }

    @PutMapping("/userRole")
    public ResultVo modifyUserRoles(@RequestBody UserRoleVo userRoleVo) {
        ResultVo resultVo = new ResultVo();

        userService.modifyRoles(userRoleVo);
        resultVo.setCode(0);
        resultVo.setMsg("修改成功");

        return resultVo;
    }

}
