package com.example.survey.dao;

import com.example.survey.entity.Investigator;
import com.example.survey.entity.Respondent;

import java.util.List;

/**
 * @author Pope
 *
 */
public interface RespondentDao {
    /**
     * 插入待调查对象
     * @param respondent 待调查对象
     * @return 是否插入成功
     */
    boolean insertRespondent(Respondent respondent);

    /**
     * 根据流调人员电话号码分页查询待调查对象列表
     * @param investigatorPhone 流调人员电话号码
     * @param offset 偏移量
     * @param number 大小
     * @return 待调查对象列表
     */
    List<Respondent> listLimitRespondentByInvestigator(String investigatorPhone, int offset, int number);

    /**
     * 判断是否存在对应id的调查对象
     * @param idNumber 身份证号
     * @return 是否存在该调查对象
     */
    boolean existRespondent(String idNumber);

    /**
     * 根据流调人员电话号码查询调查对象数量
     * @param investigatorPhone 流调人员电话号码
     * @return 对应流调人员id的调查对象数量
     */
    long countRespondentBuInvestigatorPhone(String investigatorPhone);
}
