package com.example.survey.dao;

import com.example.survey.entity.Role;

import java.util.List;

/**
 * @author Pope
 */
public interface RoleDao {

    /**
     * 插入新权限
     *
     * @param role 新权限
     * @return 是否插入成功
     */
    boolean insertRole(Role role);

    /**
     * 根据权限名查询对应权限
     *
     * @param name 权限名
     * @return 查询结果
     */
    Role selectRole(String name);

    /**
     * 根据权限名删除权限
     *
     * @param name 权限名
     */
    void deleteRole(String name);

    /**
     * 更改用户角色
     *
     * @param phoneNumber 电话号码
     * @param roleList    角色列表
     */
    void updateUserRoles(String phoneNumber, List<Role> roleList);
}
