package com.example.survey.dao.impl;

import com.example.survey.dao.InvestigatorDao;
import com.example.survey.entity.Investigator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;

/**
 * @author Pope
 */
@Repository
public class InvestigatorDaoImpl implements InvestigatorDao {

    @Autowired
    MongoTemplate mongoTemplate;

    @Override
    public boolean existInvestigator(String phoneNumber) {
        Query query = new Query(Criteria.where("phoneNumber").is(phoneNumber));
        return mongoTemplate.exists(query, Investigator.class);
    }

    @Override
    public boolean insertInvestigator(Investigator investigator) {
        try {
            mongoTemplate.save(investigator);
        } catch (Exception e) {
            //TODO 抛出相应异常
            return false;
        }
        return true;
    }

    @Override
    public Investigator selectInvestigator(String phoneNumber) {
        Query query = new Query(Criteria.where("phoneNumber").is(phoneNumber));
        return mongoTemplate.findOne(query, Investigator.class);
    }
}
