package com.example.survey.dao.impl;

import com.example.survey.dao.RespondentDao;
import com.example.survey.entity.Respondent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Pope
 */
@Repository
public class RespondentDaoImpl implements RespondentDao {

    @Autowired
    private MongoTemplate mongoTemplate;

    @Override
    public boolean insertRespondent(Respondent respondent) {
        try {
            mongoTemplate.save(respondent);
        } catch (Exception e) {
            return false;
        }
        return true;
    }

    @Override
    public List<Respondent> listLimitRespondentByInvestigator(String investigatorPhone, int offset, int number) {
        Query query = new Query(Criteria.where("investigatorPhone").is(investigatorPhone)).skip(offset).limit(number);
        return mongoTemplate.find(query, Respondent.class);
    }

    @Override
    public boolean existRespondent(String idNumber) {
        Query query = new Query(Criteria.where("idNumber").is(idNumber));
        return mongoTemplate.exists(query, Respondent.class);
    }

    @Override
    public long countRespondentBuInvestigatorPhone(String investigatorPhone) {
        Query query = new Query(Criteria.where("investigatorPhone").is(investigatorPhone));
        return mongoTemplate.count(query, Respondent.class);
    }
}
