package com.example.survey.dao.impl;

import com.example.survey.dao.RoleDao;
import com.example.survey.entity.Role;
import com.example.survey.entity.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.data.mongodb.core.query.Update;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Pope
 */
@Service
public class RoleDaoImpl implements RoleDao {
    @Autowired
    private MongoTemplate mongoTemplate;

    @Override
    public boolean insertRole(Role role) {
        try {
            mongoTemplate.save(role);
        } catch (Exception e) {
            return false;
        }
        return true;
    }

    @Override
    public Role selectRole(String name) {
        Query query = new Query(Criteria.where("name").is(name));
        return mongoTemplate.findOne(query, Role.class);
    }

    @Override
    public void deleteRole(String name) {
        Query query = new Query(Criteria.where("name").is(name));
        mongoTemplate.remove(query);
    }

    @Override
    public void updateUserRoles(String phoneNumber, List<Role> roleList) {
        Query query = new Query(Criteria.where("phoneNumber").is(phoneNumber));
        Update update = new Update()
                .set("roleList", roleList);
        mongoTemplate.updateFirst(query, update, User.class);
    }
}
