package com.example.survey.entity;

import lombok.*;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.DBRef;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * @author Pope
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "department")
public class Department {

    /**
     * 唯一索引
     */
    private String uniqueIndex;

    /**
     * 部门名
     */
    private String name;

    /**
     * 子部门
     */
    private List<Department> children;

    /**
     * 父部门
     */
    private String parent;

}
