package com.example.survey.entity;

import lombok.*;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @author Pope
 * 调查对象表
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "respondent")
public class Respondent {

    /**
     * 性别为男
     */
    public static final String MAN = "男";
    /**
     * 性别为女
     */
    public static final String WOMAN = "女";

    /**
     * 身份证号
     */
    @Indexed(unique = true)
    private String idNumber;

    /**
     * 电话
     */
    private String phoneNumber;

    /**
     * 姓名
     */
    private String name;

    /**
     * 备注
     */
    private String msg;

    /**
     * 分配的调查人员
     */
    @Indexed
    private String investigatorPhone;

    /**
     * 是否发病
     */
    private boolean diseased;

    /**
     * 性别
     */
    private String gender;




}
