package com.example.survey.entity;

import com.example.survey.vo.SignupVo;
import lombok.*;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * @author Pope
 */
@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "user")
public class User {

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 身份证号
     */
    private String idNumber;

    /**
     * 手机号
     */
    @Indexed(unique = true)
    private String phoneNumber;

    /**
     * 一个人可以拥有多个角色
     */
    private List<Role> roleList;

    /**
     * 一个人所属的部门
     */
    private List<Department> departmentList;


    public User(SignupVo vo){
        this.username = vo.getUsername();
        this.password = vo.getPassword();
        this.phoneNumber = vo.getPhoneNumber();
        this.roleList = new ArrayList<>();
        this.departmentList = new ArrayList<>();
    }

}
