package com.example.survey.service;

import com.example.survey.entity.Respondent;
import com.example.survey.dto.RespondentDto;

import java.util.List;

/**
 * @author Pope
 */
public interface RespondentService {
    /**
     * 创建待调查对象
     * @param respondent 待调查对象
     * @return 是否创建成功
     */
    boolean addRespondent(Respondent respondent);

    /**
     * 根据流调人员电话号码分页查询待调查对象数据
     * @param investigatorPhone 流调人员电话号码
     * @param currentPage 当前页数
     * @param pageSize 页大小
     * @return 页数据
     */
    List<RespondentDto> listRespondentPageByInvestigatorPhone(String investigatorPhone, int currentPage, int pageSize);

    /**
     * 根据流调人员phone查询调查对象数量
     * @param investigatorPhone 流调人员电话号码
     * @return 对应流调人员id的调查对象数量
     */
    long countRespondentByInvestigatorPhone(String investigatorPhone);
}
