package com.example.survey.service;

import com.example.survey.dto.LoginDto;
import com.example.survey.vo.LoginVo;
import com.example.survey.vo.SignupVo;
import com.example.survey.vo.UserRoleVo;

/**
 * @author Pope
 */
public interface UserService {
    /**
     * 根据登录信息判断是否登录
     *
     * @param loginVo 登录信息
     * @return 用户信息  若登录失败则返回null
     */
    LoginDto matchAuth(LoginVo loginVo);

    /**
     * 注册用户
     *
     * @param signupVo 注册信息
     * @return 是否注册成功
     */
    boolean addUser(SignupVo signupVo);

    /**
     * 修改用户权限
     * @param userRoleVo 新权限信息
     */
    void modifyRoles(UserRoleVo userRoleVo);
}
