package com.example.survey.service.impl;

import com.example.survey.dao.InvestigatorDao;
import com.example.survey.dao.RespondentDao;
import com.example.survey.entity.Investigator;
import com.example.survey.entity.Respondent;
import com.example.survey.service.RespondentService;
import com.example.survey.dto.RespondentDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Pope
 */
@Service
public class RespondentServiceImpl implements RespondentService {

    @Autowired
    private RespondentDao respondentDao;

    @Autowired
    private InvestigatorDao investigatorDao;

    @Override
    public boolean addRespondent(Respondent respondent) {
        //如果不存在对应phone的流调人员
        if (!investigatorDao.existInvestigator(respondent.getInvestigatorPhone())) {
            //TODO 改为抛出相应异常

            return false;
        }
        return respondentDao.insertRespondent(respondent);
    }

    @Override
    public List<RespondentDto> listRespondentPageByInvestigatorPhone(String investigatorPhone, int currentPage, int pageSize) {
        List<RespondentDto> voList = new ArrayList<>();
        List<Respondent> respondentList = respondentDao.listLimitRespondentByInvestigator(investigatorPhone, currentPage * pageSize, pageSize);
        for (Respondent respondent : respondentList) {
            Investigator investigator = investigatorDao.selectInvestigator(respondent.getInvestigatorPhone());
            voList.add(new RespondentDto(respondent, investigator));
        }
        return voList;
    }

    @Override
    public long countRespondentByInvestigatorPhone(String investigatorPhone) {
        return respondentDao.countRespondentBuInvestigatorPhone(investigatorPhone);
    }
}
