package com.example.survey.service.impl;

import com.example.survey.dao.RoleDao;
import com.example.survey.entity.Role;
import com.example.survey.enumeration.AuthEnum;
import com.example.survey.service.RoleService;
import com.example.survey.vo.RoleVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashSet;
import java.util.Set;

/**
 * @author Pope
 */
@Service
public class RoleServiceImpl implements RoleService {

    @Autowired
    private RoleDao roleDao;

    @Override
    public boolean addRole(RoleVo roleVo) {
        Role role = new Role();
        role.setName(roleVo.getRoleName());
        Set<AuthEnum> authoritySet = new HashSet<>();
        for (Integer code : roleVo.getAuthList()) {
            authoritySet.add(AuthEnum.getRoleEnum(code));
        }
        role.setAuthoritySet(authoritySet);

        return roleDao.insertRole(role);
    }
}
